SimpleJdbcDaoSupport (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.core.simple

## Class SimpleJdbcDaoSupport

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.jdbc.core.support.JdbcDaoSupport
    - - org.springframework.jdbc.core.simple.SimpleJdbcDaoSupport

- All Implemented Interfaces:
    InitializingBean

  Deprecated.
  since Spring 3.1 in favor of `JdbcDaoSupport` and `NamedParameterJdbcDaoSupport`. The JdbcTemplate and NamedParameterJdbcTemplate now provide all the functionality of the SimpleJdbcTemplate.

      @Deprecated
      public class SimpleJdbcDaoSupport
      extends JdbcDaoSupport

  Extension of `JdbcDaoSupport` that exposes a `SimpleJdbcTemplate` as well. Only usable on Java 5 and above.
  Since:
    2.0
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    `SimpleJdbcTemplate`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJdbcDaoSupport()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleJdbcTemplate` | `getSimpleJdbcTemplate()` Deprecated. Return a SimpleJdbcTemplate wrapping the configured JdbcTemplate.
    `protected void` | `initTemplateConfig()` Deprecated. Create a SimpleJdbcTemplate based on the configured JdbcTemplate.

    - ### Methods inherited from class org.springframework.jdbc.core.support.JdbcDaoSupport

      `checkDaoConfig, createJdbcTemplate, getConnection, getDataSource, getExceptionTranslator, getJdbcTemplate, releaseConnection, setDataSource, setJdbcTemplate`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleJdbcDaoSupport

          public SimpleJdbcDaoSupport()

      Deprecated.

  - ### Method Detail

    - #### initTemplateConfig

          protected void initTemplateConfig()

      Deprecated.
      Create a SimpleJdbcTemplate based on the configured JdbcTemplate.
      Overrides:
        `initTemplateConfig` in class `JdbcDaoSupport`
      See Also:
        `JdbcDaoSupport.getJdbcTemplate()`

    - #### getSimpleJdbcTemplate

          public SimpleJdbcTemplate getSimpleJdbcTemplate()

      Deprecated.
      Return a SimpleJdbcTemplate wrapping the configured JdbcTemplate.